﻿List<User> users = new List<User>()
{
    new User { Name = "Петя", Age = 33 },
    new User { Name = "Ваня", Age = 21 },
    new User { Name = "Вася", Age = 43 }
};

var result = users
    .OrderBy(u => u.Name)
    .ThenBy(u => u.Age);

foreach (User u in result)
    Console.WriteLine($"{u.Name} - {u.Age}");

public class User
{
    public string Name { get; set; }
    public int Age { get; set; }
}